Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 38 reacties
Bron: Mozilla, submitter: Cristan

De ontwikkelaars van de Mozilla Foundation hebben de tweede release candidate vrijgegeven van Mozilla Firefox 1.5. Deze internetbrowser is in korte tijd zeer populair geworden en kan van extra functionaliteit worden voorzien door gebruik te maken van extensions. De ontwikkelaars hebben verder gewerkt aan het automatische update systeem zoals de volgende aankondiging ons laat zien:

Here's what's new in Firefox 1.5 RC 2:
    Several fixes to automated update system.
[break]Op het moment van schrijven zijn alleen de Engelse versies beschikbaar. Waarschijnlijk zullen de Nederlandstalige versies binnen een aantal uur verschijnen. Vandaar dat we alvast de juiste links voor jullie klaar hebben gezet.

De volgende downloads staan klaar:
* Linux i686 (Engels - Nederlands)
* Mac OS X (Engels - Nederlands)
* Windows (Engels - Nederlands)
Moderatie-faq Wijzig weergave

Reacties (38)

De update (ik had RC1) was binnen voor ik het wist. Eigenlijk sneller dan ik wilde want er verscheen een pop-up terwijl ik aan het typen was, kennelijk typte ik net een Y of zo, want ineens was mijn browser dicht en weer aan het openen. Gelukkig was het formulier nog net zo ver ingevuld als toen de update begon, anders was toch wel even flink pissig geworden.

Zorg als je van een 1.0 versie komt dat je alles backupt en de instructies volgt voor wat betreft je profiel, anders kan je vervelende dingen meemaken.

De RC's zijn merkbaar steviger dan de Beta's.
Over het algemeen: sneller. Geen spectaculaire zichtbare veranderingen.
Handig, het is toch een RC: de Nightly Tester Tools extension laden zodat meer van je extensies blijven werken: http://users.blueprintit....efox/buildid/nightly.html

De GreaseMonkey extensie versie voor FF 1.5: http://greaseblog.blogspot.com/ (LEES, niet alleen downen!)

Leuk: de SVG en Canvas pagina (waarschuwing: schokkend de eerste keer. :)) )
http://overstimulate.com/projects/canvas/
en
http://overstimulate.com/projects/canvas/interactive.html
(klik op generate en dan increase delta)

Op Slashdot zijn ook wat tips bij algemene problemen (tussen de /. opinies):
http://slashdot.org/artic...=05/11/10/2015250&tid=154
Dat is voor mij een reden om te wachten met updaten vanaf 1.0.7, totdat de makers van extensies hun versies updaten, zodat ze compatibel met 1.5 zijn.
Dat is een prima reden, eigenlijk is alleen het duidelijk sneller zijn een goede reden om nu al te upgraden. Of je moet bv de nieuwe mogelijkheden van Greasemonkey willen gebruiken maar dat is meer van belang voor de ontwikkelaars van userscripts nu.

Maar wist je dat je ze naast elkaar kunt gebruiken als je zin hebt om wat te klooien met bat files en profielen?
Een update op GreaseMonkey voor Fx 1.5 RC2:

http://mozdev.org/piperma...semonkey-0.6.2.1-0001.zip

Uit pakken in de goeie directory in je profiel.
Eigenlijk sneller dan ik wilde want er verscheen een pop-up terwijl ik aan het typen was, kennelijk typte ik net een Y of zo, want ineens was mijn browser dicht en weer aan het openen.
Ik had toch gehoopt dat Firefix niet zelf met dat soort vervelende popups zou komen. :(
Tools, options, advanced, update, Ask me what I want to do of automatically download and install the update.

Verder vind ik het niet zo gek dat je een popup krijgt, hij was alleen niet zo handig.
En wat als de browser crasht en ik open die weer, gaat hij dan alle 'verloren' pagina's/tabs weer aanvragen en mij terug voorschotelen? (Zoals Opera dat al jaren doet!)

Dit mis ik nog enorm. :(
De Tab Mix Plus extensie doet dit (tabblad events bijna onderaan "restore last session"), en nog veel meer. Als je graag met tabs werkt een absolute aanrader.
En verder heb je gewoon de Sessionsaver extensie
Sessionsaver vind ik geniaal en Tab Mix ook. BBCode kun je ook niet zonder als je veel fora bezoekt; scheelt zooo veel typwerk als je niet steeds ubb-tags voor links met aan andere naam enzo hoeft te typen.
ga naar het menu "Ga" en dan zie je je laatste 10 bezochte pagina's, dit zou misschien wel helpen met dat "verloren" pagina's verhaal van je. ik weet aleen niet of het werkt met tabs want dat gebruik ik niet in FF
En wat als de browser crasht
Dat is wel een hele grote als. :)
Gebeurd anders nog vaak genoeg, vooral als je veel in frame sites aan het ontwikkelen bent :)
Net even geinstalleerd, en volgens mij rendert ie wel sneller. Verder nog niet zoveel gekke dingen gezien, alleen jammer dat al je extensions het niet meer doen (of geupdate moeten worden)
Ja, maar de extentions worden opzettelijk ge-disabled, om problemen te voorkomen i.v.m. 1 of meerdere extentions die wellicht niet compatible zijn met FF1.5.
Extensions kan je ook zelf "upgraden".

Extensions zijn nl *.xpi " bestanden.

Je moet dan het " *.xpi " bestand zetten op je harddisk.
Je opent dat " *.xpi " bestand met winzip of winrar , het is nl gewoon een zip file.
Daarin zit als het goed is een " install.rdf " , die open je met wordpad of notepad.

Dan bij "<em:maxVersion>1.6.1</em:maxVersion>" verander je het versie nummer.

Je ZIPT de bestanden weer en verandert .zip in .xpi

En je installeert hem in Firefox .(drag en drop) 8-)

Dit heeft gewerkt bij al mijn extensions.
Ik krijg regelmatig sinds ik vanmorgen 1.5 RC 2 heb geinstalleerd een Connection Reset melding:
--------------------
The connection was reset

The connection to the server was reset while the page was loading.

* The site could be temporarily unavailable or too busy. Try again in a few
moments.

* If you are unable to load any pages, check your computer's network
connection.

* If your computer or network is protected by a firewall or proxy, make sure
that Firefox is permitted to access the Web.
--------------------
Toch maar weer downgraden naar 1.07
Toch maar weer downgraden naar 1.07
Al een bug report gesubmit?
Het gekke is dat ik 1.0.7 er weer overheen heb gegooid en ik nu constant de melding "The document contains no data" krijg. Eerst even alles eraf gooien dan maar.
Als het echt aan 1.5 ligt zal ik het even submitten.
Je kan over het algemeen zowiezo beter niet de 1 over de andere installeren.
Maar beter is de nieuwe in een andere folder te installeren .
Sinds ik dat doe heb ik er nooit meer problemen mee.
Voor de mensen die problemen hebben met de compabiliteit van de extensions, moeten ze maar: Nightly tools installeren en dan alle extensies compatibel maken. . :)
Wat vaak ook het geval is, is dat de extensie bij updates.mozilla.org nog niet geupdated zijn. Op het moment dat naar de homepage van de extensie gaat (rechtermuisknop>Visit Home Page), kun je daar vaak wel de geupdate extensie vinden. Dit werkte bij mij met alle extensies die ik geinstalleerd had.
Fijn dat FF eindelijk een functioneel update-systeem heeft. Dit zal zeker bij gaan dragen aan de veiligheid, hoeveel mensen gebruiken er nu nog wel geen oudere versie van FF, omdat ze geen idee hebben dat er kritieke bugs inzitten?
Ik zie dat Firefox in de about dialog niet eens aangeeft dat het om een release candidate gaat en om welke dan. :(
Staat in de main form caption.
Wat bedoel je met main form?
In de main window caption zie ik geen versie en in de about dialog zie ik alleen 1.5.
Ik zie duidelijk in mijn titelbalk van Fx dat ik Build 2005110712 draai.
Ach nee wat erg... maar met de Nightly Tester Tools extension (eerder al genoemd met link) kun je instellen dat de versie in de titelbalk wordt toegevoegd.
Ze hebben express niet erbij gezet dat het een RC is. als een RC helemaal goed is, dan wordt die release de final.. en wordt er niets meer aan gedaan
en wordt er niets meer aan gedaan
Normaal wordt dan alleen het versienummer veranderd.
Bij de beta's stond het trouwens ook niet, dus handig vind ik het niet.
Ik wil niet lullig doen, maar de RC2 voor de Nederlandse taal is er nog niet. De link die bij het bericht gegeven wordt werkt dan ook niet. Via mozilla.org wordt je voro de Nederlandse versie doorverwezen naar RC1.
Ik natuurlijk ook niet, maar soms is toch wel even handig om het hele artikel door te lezen:
Op het moment van schrijven zijn alleen de Engelse versies beschikbaar. Waarschijnlijk zullen de Nederlandstalige versies binnen een aantal uur verschijnen. Vandaar dat we alvast de juiste links voor jullie klaar hebben gezet.
Binnen een aantal uur zeggen ze, en we zijn al 8 uur verder :)
Maar wist je dat je ze naast elkaar kunt gebruiken als je zin hebt om wat te klooien met bat files en profielen?
Nee. Bedankt voor de tip, maar daar ben ik gewoon te lui voor. :+

Dus ik zie het wel als 1.5 stable uitkomt.
Om je 'oude' plugins werkend te krijgen op deze 1.5rc versies, de .xpi openen met Winrar, de install.rdf uitpakken en openen, het Max. Version Nr (zoiets, zie je vanzelf) verhogen naar minimaal 1.5, en het aangepaste install.rdf bestand met winrar in de .xpi zetten over de oude.

De xpi openen met Firefox en hij wordt geinstalleerd.

Nu zal in de meeste gevallen de plugin prima functioneren, maar GEEN garanties!

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True